Bug 732388 - aviary query 'getSubmissionSummary' - match for owner
Summary: aviary query 'getSubmissionSummary' - match for owner
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-aviary
Version: Development
Hardware: All
OS: Linux
low
medium
Target Milestone: 2.3
: ---
Assignee: Pete MacKinnon
QA Contact: Lubos Trilety
URL:
Whiteboard:
Depends On:
Blocks: 876846
TreeView+ depends on / blocked
 
Reported: 2011-08-22 09:33 UTC by Lubos Trilety
Modified: 2013-03-06 18:38 UTC (History)
6 users (show)

Fixed In Version: condor-7.8.2-0.1
Doc Type: Bug Fix
Doc Text:
Cause: Queries to retrieve submissions by a single owner name. Consequence: Queries would be returned for multiple owners. Fix: Code changes were made to recognize that a remote Aviary client was requesting submissions for a single owner and the appropriate values collected and returned. Result: Queries to retrieve submissions by a single owner name works.
Clone Of:
: 876846 (view as bug list)
Environment:
Last Closed: 2013-03-06 18:38:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0564 normal SHIPPED_LIVE Low: Red Hat Enterprise MRG Grid 2.3 security update 2013-03-06 23:37:09 UTC

Description Lubos Trilety 2011-08-22 09:33:28 UTC
Description of problem:
Aviary query doesn't support matching on the owner for operation 'getSubmissionSummary', it matches only on submission name. Both parameters are optional for SubmissionID so it will be fine if it will be possible to query condor even on owner, i.e. it will be possible to get all submissions with the same owner.

Version-Release number of selected component (if applicable):
condor-aviary-7.6.3-0.3

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matthew Farrellee 2011-08-25 19:07:54 UTC
Would like a cumin use case.

Comment 2 Lubos Trilety 2011-08-29 10:03:29 UTC
(In reply to comment #1)
> Would like a cumin use case.

I am not aware about such use case in cumin, maybe to list all submissions under some Grid User.
But I believe it's something nice to have, and it will be useful for us. Moreover it is already implemented in CLI tools.

Comment 5 Pete MacKinnon 2012-05-04 14:28:35 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Queries to retrieve submissions by a single owner name.
Consequence: Queries would be returned for multiple owners.
Fix: Code changes were made to recognize that a remote Aviary client was requesting submissions for a single owner and the appropriate values collected and returned.
Result: Queries to retrieve submissions by a single owner name works.

Comment 8 Lubos Trilety 2013-01-08 14:42:37 UTC
Tested with:
condor-aviary-7.8.8-0.1

Tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

>>> verified

It is possible to query submission on owner.

Comment 10 errata-xmlrpc 2013-03-06 18:38:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html


Note You need to log in before you can comment on or make changes to this bug.